﻿package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
)

type PublicPlatoonBasicSettingDao interface {
	PublicPlatoonBasicSettingInsert(PublicPlatoonBasicSetting *model.PublicPlatoonBasicSetting) (int, error)
	BatchAddPublicPlatoonBasicSettings(PublicPlatoonBasicSettingData []*model.PublicPlatoonBasicSetting) (int64, error)
	GetPublicPlatoonBasicSettingCount() int
	PublicPlatoonBasicSettingDelete(id interface{}) (int64, error)
	PublicPlatoonBasicSettingUpdate(id interface{}, PublicPlatoonBasicSetting *model.PublicPlatoonBasicSetting, forceColums ...string) (int64, error)
	PublicPlatoonBasicSettingGetOneByParams(params map[string]interface{}) (*model.PublicPlatoonBasicSetting, error)
	PublicPlatoonBasicSettingFindByParams(params map[string]interface{}) (*[]model.PublicPlatoonBasicSetting, error)
	PublicPlatoonBasicSettingGetOne() (*model.PublicPlatoonBasicSetting, error)
}
