﻿package dao

import "code.fnuoos.com/EggPlanet/egg_models.git/src/model"

type UserRelateDao interface {
	FindUserRelate(uid int64, level int) (*[]model.UserRelate, error)
	GetUserParentUserRelate(uid int64) (*model.UserRelate, error)
	FindUserRelateByParentUid(uid int64, level int) (*[]model.UserRelate, error)
	SumUserRelateByParentUid(parentUid string) (total int64, userRelate []*model.UserRelate, err error)
	PageFindUserRelateByParentUid(uid int64, page, pageSize int) (*[]model.UserRelate, int64, error)
}
