package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggEnergyFundDataRecordsDb(engine *xorm.Engine) dao.EggEnergyFundDataRecordsDao {
	return &EggEnergyFundDataRecordsDb{Db: engine}
}

type EggEnergyFundDataRecordsDb struct {
	Db *xorm.Engine
}

func (e EggEnergyFundDataRecordsDb) EggEnergyFundDataRecordsFindAndCount(page, limit int, recordsID int) ([]model.EggEnergyFundDataRecords, int64, error) {
	var m []model.EggEnergyFundDataRecords
	total, err := e.Db.Where("records_id = ?", recordsID).Limit(limit, (page-1)*limit).FindAndCount(&m)
	if err != nil {
		return nil, 0, zhios_order_relate_logx.Error(err.Error())
	}
	return m, total, nil
}
