package model

type EggEnergyCoreData struct {
	Id                       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	NowPrice                 string `json:"now_price" xorm:"not null comment('当前价格') DECIMAL(28,8)"`
	PlanetTotalValue         string `json:"planet_total_value" xorm:"not null comment('星球总价值') DECIMAL(28,8)"`
	NowEnergyTotalNums       string `json:"now_energy_total_nums" xorm:"not null comment('现行总量') DECIMAL(28,8)"`
	MarketplaceMerchantNums  string `json:"marketplace_merchant_nums" xorm:"not null comment('市商数量') DECIMAL(28,8)"`
	MarketplaceMerchantFunds string `json:"marketplace_merchant_funds" xorm:"not null comment('市商资金') DECIMAL(28,8)"`
	DevelopmentCommittee     string `json:"development_committee" xorm:"not null comment('发展委员会') DECIMAL(28,8)"`
	PublicWelfareAndCharity  string `json:"public_welfare_and_charity" xorm:"not null comment('公益慈善') DECIMAL(28,8)"`
	StarLevelDividends       string `json:"star_level_dividends" xorm:"not null comment('星级分红') DECIMAL(28,8)"`
	CommunityDividends       string `json:"community_dividends" xorm:"not null comment('社区分红') DECIMAL(28,8)"`
	DestructionQuantityNums  string `json:"destruction_quantity_nums" xorm:"not null DECIMAL(28,8)"`
	CreateAt                 string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                 string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
