package model

type EggStarLevelDividendsRecords struct {
	Id                     int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Amount                 string `json:"amount" xorm:"not null default 0.00000000 comment('分红值') DECIMAL(20,8)"`
	AlreadyDividendsAmount string `json:"already_dividends_amount" xorm:"not null default 0.00000000 comment('已分红值') DECIMAL(20,8)"`
	NotDividendsAmount     string `json:"not_dividends_amount" xorm:"not null default 0.00000000 comment('未分红值') DECIMAL(20,8)"`
	Date                   string `json:"date" xorm:"not null default '0000-00-00' comment('日期') CHAR(50)"`
}
