package model

type Role struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name     string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	State    int    `json:"state" xorm:"not null default 1 comment('状态(1:正常 2:冻结)') TINYINT(1)"`
	Memo     string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	Logo     string `json:"logo" xorm:"not null default '' VARCHAR(255)"`
	Label    string `json:"label" xorm:"not null default '' VARCHAR(255)"`
	SeoLogo  string `json:"seo_logo" xorm:"not null default '' VARCHAR(255)"`
	SeoTitle string `json:"seo_title" xorm:"not null default '' VARCHAR(255)"`
}
