package model

type UserLevel struct {
	Id          int    `json:"id" xorm:"not null pk autoincr comment('等级id') INT(11)"`
	LevelName   string `json:"level_name" xorm:"not null default '' comment('等级名称') CHAR(50)"`
	LevelWeight int    `json:"level_weight" xorm:"not null default 0 comment('等级权重') INT(11)"`
	IsUse       int    `json:"is_use" xorm:"not null default 1 comment('是否开启(0否，1是)') TINYINT(1)"`
	Memo        string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	CreateAt    string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt    string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
