package model

type UserWallet struct {
	Id       int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid      int64  `json:"uid" xorm:"not null default 0 comment('用户id') BIGINT(20)"`
	Amount   string `json:"amount" xorm:"not null default 0.00 comment('用户余额') DECIMAL(10,2)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
