﻿package dao

import "code.fnuoos.com/EggPlanet/egg_models.git/src/model"

type UserLevelDao interface {
	//UserLevelInIDescByWeightLowWithOne 查询获取 权重最低 对应等级
	UserLevelInIDescByWeightLowWithOne() (*model.UserLevel, error)
	//UserLevelByID 根据id 获取对应的等级信息
	UserLevelByID(id interface{}) (*model.UserLevel, error)
	//UserLevelAllByAsc 获取所有开启等级并且升序返回
	UserLevelAllByAsc() ([]*model.UserLevel, error)
}
