﻿package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
)

type UserVirtualAmountDao interface {
	GetUserVirtualWalletBySession(uid int64, coinId int) (*model.UserVirtualAmount, error)
	UserVirtualAmountFindAndCountByCoinKind(coinID int, page, pageSize int) ([]model.UserVirtualAmount, int64, error)
	UserVirtualAmountGetSumByCoinKind(coinId int) (float64, error)
}
