﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewPublicPlatoonRecordsPunishWithUserDb(engine *xorm.Engine) dao.PublicPlatoonRecordsPunishWithUserDao {
	return &PublicPlatoonRecordsPunishWithUserDb{Db: engine}
}

type PublicPlatoonRecordsPunishWithUserDb struct {
	Db *xorm.Engine
}

func (p PublicPlatoonRecordsPunishWithUserDb) FindAllPublicPlatoonRecordsPunishWithUser() (resp map[int64]*model.PublicPlatoonRecordsPunishWithUser, err error) {
	var m []model.PublicPlatoonRecordsPunishWithUser
	err = p.Db.Where("1=1").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	resp = map[int64]*model.PublicPlatoonRecordsPunishWithUser{}
	for _, v := range m {
		resp[v.Uid] = &v
	}
	return
}

func (p PublicPlatoonRecordsPunishWithUserDb) PublicPlatoonRecordsPunishWithUserInsert(PublicPlatoonRecordsPunishWithUser *model.PublicPlatoonRecordsPunishWithUser) (int, error) {
	_, err := p.Db.InsertOne(PublicPlatoonRecordsPunishWithUser)
	if err != nil {
		return 0, err
	}
	return PublicPlatoonRecordsPunishWithUser.Id, nil
}

func (p PublicPlatoonRecordsPunishWithUserDb) PublicPlatoonRecordsPunishWithUserUpdate(id interface{}, PublicPlatoonRecordsPunishWithUser *model.PublicPlatoonRecordsPunishWithUser, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = p.Db.Where("id=?", id).Cols(forceColums...).Update(PublicPlatoonRecordsPunishWithUser)
	} else {
		affected, err = p.Db.Where("id=?", id).Update(PublicPlatoonRecordsPunishWithUser)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
