package model

type AdminRole struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	AdmId    int    `json:"adm_id" xorm:"not null default 0 comment('管理员id') INT(11)"`
	RoleId   int    `json:"role_id" xorm:"not null default 0 comment('角色id') INT(11)"`
	State    int    `json:"state" xorm:"not null default 1 comment('状态(1:正常 2:冻结)') TINYINT(1)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
