package model

type EggEnergyFundDataRecords struct {
	Id                     int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	RecordsId              int    `json:"records_id" xorm:"not null default 0 comment('记录id') INT(11)"`
	TotalAmount            string `json:"total_amount" xorm:"not null comment('金额') DECIMAL(28,10)"`
	BalanceAmount          string `json:"balance_amount" xorm:"not null comment('余额') DECIMAL(28,10)"`
	BalanceTimes           int    `json:"balance_times" xorm:"not null default 1 comment('剩余执行次数') TINYINT(3)"`
	BeforePrice            string `json:"before_price" xorm:"not null comment('执行前-价格') DECIMAL(28,10)"`
	AfterPrice             string `json:"after_price" xorm:"not null comment('执行后-价格') DECIMAL(28,10)"`
	BeforePlanetTotalValue string `json:"before_planet_total_value" xorm:"not null comment('执行前-星球价值') DECIMAL(28,10)"`
	AfterPlanetTotalValue  string `json:"after_planet_total_value" xorm:"not null comment('执行后-星球价值') DECIMAL(28,10)"`
	CreateAt               string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt               string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
