package model

type EggEnergyUserWatchRecords struct {
	Id                int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid               int64  `json:"uid" xorm:"not null default 0 comment('用户id') index BIGINT(20)"`
	NextWatchAdDate   string `json:"next_watch_ad_date" xorm:"not null default 'CURRENT_TIMESTAMP' comment('下一轮观看视屏时间') DATETIME"`
	ResidueWatchAdNum int    `json:"residue_watch_ad_num" xorm:"not null default 0 comment('剩余观看视屏数') INT(11)"`
	CreateAt          string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt          string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
