package model

type PublicPlatoonBasicSetting struct {
	Id                         int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	IsOpen                     int    `json:"is_open" xorm:"not null default 1 comment('是否开启(1:开启 0:关闭)') TINYINT(1)"`
	OriginatorUid              int    `json:"originator_uid" xorm:"not null default 0 comment('创始人uid') INT(11)"`
	SeveralTimes               int    `json:"several_times" xorm:"not null default 3 comment('几乘') TINYINT(3)"`
	SeveralRows                int    `json:"several_rows" xorm:"not null default 3 comment('几排') TINYINT(3)"`
	SystemPunishReplace        int    `json:"system_punish_replace" xorm:"not null default 1 comment('是否位置滑落 被新用户替换 0否 1是') TINYINT(1)"`
	SystemPunishReplaceValue   int    `json:"system_punish_replace_value" xorm:"not null default 0 comment('xx天未活跃，处罚滑落') INT(11)"`
	IsSelfActiveGetTeamRevenue int    `json:"is_self_active_get_team_revenue" xorm:"not null default 1 comment('会员本人没有日活，没有团队奖励(1:开启 0:关闭)') TINYINT(1)"`
	CreateAt                   string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                   string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
