package model

type PublicPlatoonUserSystemPunishRecords struct {
	Id          int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid         int64  `json:"uid" xorm:"not null comment('用户id') index INT(11)"`
	OldPosition int64  `json:"old_position" xorm:"not null default 0 comment('位置(旧)') INT(11)"`
	NewPosition int64  `json:"new_position" xorm:"not null default 0 comment('位置(新)') INT(11)"`
	Date        string `json:"date" xorm:"not null default '' comment('日期(0000-00)') VARCHAR(50)"`
	Title       string `json:"title" xorm:"not null default '' comment('标题') VARCHAR(100)"`
	Reason      string `json:"reason" xorm:"not null default '' comment('原因') VARCHAR(255)"`
	Type        int    `json:"type" xorm:"not null default 1 comment('类型(1:大公排 2:小公排)') TINYINT(1)"`
	CreateAt    string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt    string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
