package model

type UserVirtualAmount struct {
	Id       int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid      int64  `json:"uid" xorm:"not null default 0 unique(idx_uid_coin_id) BIGINT(20)"`
	CoinId   int    `json:"coin_id" xorm:"not null default 0 index(idx_coinid_amount) unique(idx_uid_coin_id) INT(11)"`
	Amount   string `json:"amount" xorm:"not null default 0.00000000 index(idx_coinid_amount) DECIMAL(28,8)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
