package model

type VirtualCoin struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name          string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	ExchangeRatio string `json:"exchange_ratio" xorm:"not null comment('兑换比例(与金额)') DECIMAL(10,2)"`
	IsUse         int    `json:"is_use" xorm:"not null default 0 comment('是否开启：0否 1是') TINYINT(1)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
